Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ivoa.registry.search
Class Capability

    java.lang.Object
      net.ivoa.registry.search.Metadata
          net.ivoa.registry.search.Capability

    public class Capability

extends Metadata

a class for extracting VOResource metadata out of a DOM tree.

Field Summary

Fields inherited from class net.ivoa.registry.search.Metadata
`cache, XSI_NS`

Constructor Summary
`Capability(org.w3c.dom.Element el)` create a Capability metadata extractor

Method Summary
`java.lang.String` | `getAccessURL(java.lang.String role, java.lang.String version)` return the access URL for the standard interface for this capability
`java.lang.String` | `getCapabilityClass()` return the capability class.
`Metadata` | `getInterface(java.lang.String role, java.lang.String version)` return the Interface description for this capability
`java.lang.String` | `getStandardAccessURL(java.lang.String version)` return the access URL for the standard interface for this capability
`java.lang.String` | `getStandardID()` return the standard identifier for this capability or null if it does not have one set.
`Metadata` | `getStandardInterface(java.lang.String version)` return the standard Interface description for this capability

Methods inherited from class net.ivoa.registry.search.Metadata
`clearCache, findBlocks, getBlocks, getDOMNode, getParameter, getParameters, getPathName, getXSIType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Capability

    public Capability(org.w3c.dom.Element el)

  create a Capability metadata extractor

Method Detail

### getCapabilityClass

    public java.lang.String getCapabilityClass()

  return the capability class. This is the value of the xsi:type attribute on the VOResource root element. The namespace prefix is stripped off before returning.

### getStandardID

    public java.lang.String getStandardID()

  return the standard identifier for this capability or null if it does not have one set.

### getStandardInterface

    public Metadata getStandardInterface(java.lang.String version)

  return the standard Interface description for this capability

  Parameters:
    `version` - the version of the protocol to get; if null, 1.0 is assumed.

### getInterface

    public Metadata getInterface(java.lang.String role,
                                 java.lang.String version)

  return the Interface description for this capability

  Parameters:
    `role` - the role to look for
    `version` - the version of the protocol to get; if null, 1.0 is assumed.

### getStandardAccessURL

    public java.lang.String getStandardAccessURL(java.lang.String version)

  return the access URL for the standard interface for this capability

### getAccessURL

    public java.lang.String getAccessURL(java.lang.String role,
                                         java.lang.String version)

  return the access URL for the standard interface for this capability

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD